# Generated by Django 5.0 on 2023-12-05 18:17

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Ciudad',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('NombreCiudad', models.CharField(max_length=80)),
                ('DescripcionCiudad', models.CharField(max_length=120)),
            ],
        ),
        migrations.CreateModel(
            name='Estadio',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('NombreEstadio', models.CharField(max_length=80)),
                ('DescripcionEstadio', models.CharField(max_length=120)),
                ('Ciudad', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.ciudad')),
            ],
        ),
        migrations.CreateModel(
            name='Equipo',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('NombreEquipo', models.CharField(max_length=80)),
                ('DescripcionEquipo', models.CharField(max_length=120)),
                ('Ciudad', models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, to='core.ciudad')),
                ('Estadio', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.estadio')),
            ],
        ),
    ]
